New Ory Agent Security is now live! Claim your complimentary test drive. Get Started!

Skip to main content

Set OAuth2 Client using OpenID Dynamic Client Registration

PUT 

/oauth2/register/:id

This endpoint behaves like the administrative counterpart (setOAuth2Client) but is capable of facing the public internet directly to be used by third parties. It implements the OpenID Connect Dynamic Client Registration Protocol.

This feature is disabled per default. It can be enabled by a system administrator.

If you pass client_secret the secret is used, otherwise the existing secret is used. If set, the secret is echoed in the response. It is not possible to retrieve it later on.

To use this endpoint, you will need to present the client's authentication credentials. If the OAuth2 Client uses the Token Endpoint Authentication Method client_secret_post, you need to present the client secret in the URL query. If it uses client_secret_basic, present the Client ID and the Client Secret in the Authorization header.

OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.

SDK ReferenceTypeScript
setOidcDynamicClient(oAuth2Client)
ParametersTypeRequiredDescription
oAuth2ClientOAuth2ClientrequiredOAuth 2.0 Client Request Body
idstringrequiredOAuth 2.0 Client ID
VariableType
dataOAuth2Client